<bugID>398914<Summary>Creating an additional bookmark with "Add a keyword for this search" overwrites the POST_DATA of existing bookmark(s) with the same location</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a9pre) Gecko/2007100705 Minefield/3.0a9pre
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a9pre) Gecko/2007100705 Minefield/3.0a9pre

If I create more then one keyword bookmark by right clicking a search field on a website with other options on that page selected (e.g. forum to search) then the POST_DATA of other bookmarks created before on that page and thus have the same url are all set to the POST_DATA of the last one created.
That also happens if I import a set of bookmarks created with a Firefox version that doesn't have places like Firefox 2 or Gran Paradiso a4.
It seems that both the url and the POST_DATA are only saved once.
If I export the bookmarks then both bookmarks have the same POST_DATA field.


Reproducible: Always

Steps to Reproduce:
1. Open: http://forums.mozillazine.org/search.php
2. Select the 'Firefox Support' forum from the drop down list of Forum
3. Right click the the search field to the right of "Search for Keywords" (top field on the right)
4. Select "Add a keyword for this search" and fill both the name and keyword with 'fsup' and save that Bookmark

Repeat the above steps and select the Firefox General forum from the list and save that bookmark as 'fgen'.
Do a search with both keywords for a common word like 'welcome': fsup welcome and fgen welcome

Actual Results:  
With both keywords I get the same results: both from Firefox General


Expected Results:  
Results from Firefox Support with: fsup welcome
Results from Firefox General with:  fgen welcome


Firefox should store the correct POST_DATA from that form for each bookmark as was done in bookmarks.html before places.</Description></bugID>